### Constructor

# Gimp ModuleDB new

#### Declaration [src]

    GimpModuleDB*
    gimp_module_db_new (
      gboolean verbose
    )

#### Description [src]

Creates a new `GimpModuleDB` instance. The `verbose` parameter will be passed to the created `GimpModule` instances using gimp_module_new().

#### Parameters

`verbose` | `gboolean`
| Pass `TRUE` to enable debugging output.

#### Return value

Returns: | `GimpModuleDB`
| The new `GimpModuleDB` instance.
| The caller of the function takes ownership of the data, and is responsible for freeing it.